classification
Title: time.xmlrpc.com dead
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: eric.araujo, flox, loewis, pitrou, python-dev, r.david.murray
Priority: high Keywords:

Created on 2011-11-19 15:44 by pitrou, last changed 2011-11-28 21:01 by pitrou. This issue is now closed.

Messages (5)
msg147948 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-11-19 15:44
time.xmlrpc.com seems dead (no DNS entry), which leads to failures on one of the stable buildbots (redirecting DNS catchall?):

======================================================================
ERROR: test_current_time (test.test_xmlrpc_net.CurrentTimeTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/buildbot/buildarea/3.x.ochtman-gentoo-amd64/build/Lib/test/test_xmlrpc_net.py", line 19, in test_current_time
    t0 = server.currentTime.getCurrentTime()
  File "/home/buildbot/buildarea/3.x.ochtman-gentoo-amd64/build/Lib/xmlrpc/client.py", line 1089, in __call__
    return self.__send(self.__name, args)
  File "/home/buildbot/buildarea/3.x.ochtman-gentoo-amd64/build/Lib/xmlrpc/client.py", line 1420, in __request
    verbose=self.__verbose
  File "/home/buildbot/buildarea/3.x.ochtman-gentoo-amd64/build/Lib/xmlrpc/client.py", line 1131, in request
    return self.single_request(host, handler, request_body, verbose)
  File "/home/buildbot/buildarea/3.x.ochtman-gentoo-amd64/build/Lib/xmlrpc/client.py", line 1163, in single_request
    dict(resp.getheaders())
xmlrpc.client.ProtocolError: <ProtocolError for time.xmlrpc.com/RPC2: 303 See Other>
msg147950 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2011-11-19 16:32
Not sure whether this is actually new, but it may be that Dave Winer is migrating all this stuff to Amazon S3, and that he just didn't get to restoring the time service yet.
msg147952 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2011-11-19 16:37
We've had problems with this service going away for a while before.  I think the test was marked skip for at least a year before someone (it might have been me) noticed that it was back and reactivated it.  There's a ticket in here somewhere for it.
msg147984 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-11-20 12:08
#6533: Make test_xmlrpc_net functional in the absence of time.xmlrpc.com
#6027: test_xmlrpc_net fails when the ISP returns "302 Found"
msg148514 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-11-28 21:00
New changeset da148f0d86bd by Antoine Pitrou in branch '3.2':
Issue #13434: skip the time.xmlrpc.com test, and reenable the buildbot test.
http://hg.python.org/cpython/rev/da148f0d86bd

New changeset 1330beac9ec9 by Antoine Pitrou in branch 'default':
Merge test_xmlrpc_net fixes (issue #13434)
http://hg.python.org/cpython/rev/1330beac9ec9
History
Date User Action Args
2011-11-28 21:01:52pitrousetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2011-11-28 21:00:47python-devsetnosy: + python-dev
messages: + msg148514
2011-11-20 12:08:31eric.araujosetnosy: + eric.araujo
messages: + msg147984
2011-11-19 16:37:45r.david.murraysetnosy: + r.david.murray
messages: + msg147952
2011-11-19 16:32:07loewissetmessages: + msg147950
2011-11-19 15:44:45pitroucreate